/*
 * OpenFairDB API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 0.9.3
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


package org.openapitools.client.model;

import java.util.Objects;
import java.util.Arrays;
import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.annotations.SerializedName;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.IOException;
import org.openapitools.client.model.CreatedAt;
import org.openapitools.client.model.PlaceId;

/**
 * The compact view of an entry as returned in search results.  The field &#x60;last_cleared_revision&#x60; is missing if no cleared revivision is available, e.g. for newly created entries. 
 */
@ApiModel(description = "The compact view of an entry as returned in search results.  The field `last_cleared_revision` is missing if no cleared revivision is available, e.g. for newly created entries. ")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.JavaClientCodegen", date = "2020-12-19T15:07:54.107442+01:00[Europe/Rome]")
public class PendingClearanceForPlace {
  public static final String SERIALIZED_NAME_PLACE_ID = "place_id";
  @SerializedName(SERIALIZED_NAME_PLACE_ID)
  private PlaceId placeId = null;

  public static final String SERIALIZED_NAME_CREATED_AT = "created_at";
  @SerializedName(SERIALIZED_NAME_CREATED_AT)
  private CreatedAt createdAt = null;

  public static final String SERIALIZED_NAME_LAST_CLEARED_REVISION = "last_cleared_revision";
  @SerializedName(SERIALIZED_NAME_LAST_CLEARED_REVISION)
  private Long lastClearedRevision;


  public PendingClearanceForPlace placeId(PlaceId placeId) {
    
    this.placeId = placeId;
    return this;
  }

   /**
   * Get placeId
   * @return placeId
  **/
  @ApiModelProperty(required = true, value = "")

  public PlaceId getPlaceId() {
    return placeId;
  }


  public void setPlaceId(PlaceId placeId) {
    this.placeId = placeId;
  }


  public PendingClearanceForPlace createdAt(CreatedAt createdAt) {
    
    this.createdAt = createdAt;
    return this;
  }

   /**
   * Get createdAt
   * @return createdAt
  **/
  @ApiModelProperty(required = true, value = "")

  public CreatedAt getCreatedAt() {
    return createdAt;
  }


  public void setCreatedAt(CreatedAt createdAt) {
    this.createdAt = createdAt;
  }


  public PendingClearanceForPlace lastClearedRevision(Long lastClearedRevision) {
    
    this.lastClearedRevision = lastClearedRevision;
    return this;
  }

   /**
   * A revision number 
   * minimum: 0
   * @return lastClearedRevision
  **/
  @javax.annotation.Nullable
  @ApiModelProperty(example = "23", value = "A revision number ")

  public Long getLastClearedRevision() {
    return lastClearedRevision;
  }


  public void setLastClearedRevision(Long lastClearedRevision) {
    this.lastClearedRevision = lastClearedRevision;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    PendingClearanceForPlace pendingClearanceForPlace = (PendingClearanceForPlace) o;
    return Objects.equals(this.placeId, pendingClearanceForPlace.placeId) &&
        Objects.equals(this.createdAt, pendingClearanceForPlace.createdAt) &&
        Objects.equals(this.lastClearedRevision, pendingClearanceForPlace.lastClearedRevision);
  }

  @Override
  public int hashCode() {
    return Objects.hash(placeId, createdAt, lastClearedRevision);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class PendingClearanceForPlace {\n");
    sb.append("    placeId: ").append(toIndentedString(placeId)).append("\n");
    sb.append("    createdAt: ").append(toIndentedString(createdAt)).append("\n");
    sb.append("    lastClearedRevision: ").append(toIndentedString(lastClearedRevision)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

